javax.persistence.metamodel

## Interface Attribute<X,Y>

All Known Subinterfaces:
  CollectionAttribute<X,E>, ListAttribute<X,E>, MapAttribute<X,K,V>, PluralAttribute<X,C,E>, SetAttribute<X,E>, SingularAttribute<X,T>

    public interface Attribute<X,Y>

### Nested Class Summary

Nested Classes
`static class` `Attribute.PersistentAttributeType`

### Method Summary

All Methods Instance Methods Abstract Methods
`ManagedType<X>` `getDeclaringType()`
`Member` `getJavaMember()`
`Class<Y>` `getJavaType()`
`String` `getName()`
`Attribute.PersistentAttributeType` `getPersistentAttributeType()`
`boolean` `isAssociation()`
`boolean` `isCollection()`

### Method Detail

#### getName

    String getName()

#### getPersistentAttributeType

    Attribute.PersistentAttributeType getPersistentAttributeType()

#### getDeclaringType

    ManagedType<X> getDeclaringType()

#### getJavaType

    Class<Y> getJavaType()

#### getJavaMember

    Member getJavaMember()

#### isAssociation

    boolean isAssociation()

#### isCollection

    boolean isCollection()